diff -u --recursive --new-file libpri/pridump.c.orig libpri/pridump.c
--- libpri/pridump.c.orig	Tue Jul 26 11:38:07 2005
+++ libpri/pridump.c	Tue Jul 26 11:38:07 2005
@@ -67,12 +67,12 @@
 	return dfd;
 }
 
-static void dump_packet(char *buf, int len, int txrx)
+static void dump_packet(struct pri *pri, char *buf, int len, int txrx)
 {
 	q921_h *h = (q921_h *)buf;
-	q921_dump(h, len, 1, txrx);
+	q921_dump(pri, h, len, 1, txrx);
 	if (!((h->h.data[0] & Q921_FRAMETYPE_MASK) & 0x3)) {
-		q931_dump((q931_h *)(h->i.data), len - 4 - 2 /* FCS */, txrx);
+		q931_dump(pri, (q931_h *)(h->i.data), len - 4 - 2 /* FCS */, txrx);
 	}
 	fflush(stdout);
 	fflush(stderr);
@@ -103,18 +103,28 @@
 		if (FD_ISSET(d1, &fds)) {
 			/* Copy from d1 to d2 */
 			res = read(d1, buf, sizeof(buf));
-			dump_packet(buf, res, 1);
+			dump_packet((struct pri *)NULL, buf, res, 1);
 			res = write(d2, buf, res);
 		}
 		if (FD_ISSET(d2, &fds)) {
 			/* Copy from d2 to d1 */
 			res = read(d2, buf, sizeof(buf));
-			dump_packet(buf, res, 0);
+			dump_packet((struct pri *)NULL, buf, res, 0);
 			res = write(d1, buf, res);
 		}
 	}
 }
 
+static void my_pri_message(struct pri *pri, char *stuff)
+{
+	fprintf(stdout, "%s", stuff);
+}
+
+static void my_pri_error(struct pri *pri, char *stuff)
+{
+	fprintf(stderr, "%s", stuff);
+}
+
 int main(int argc, char *argv[])
 {
 	int d1, d2;
@@ -124,6 +134,9 @@
 		exit(1);
 	}
 	
+	pri_set_message(my_pri_message);
+	pri_set_error(my_pri_error);
+	
 	d1 = pri_open(argv[1]);
 	if (d1 < 0)
 		exit(1);
diff -u --recursive --new-file libpri/Makefile.orig libpri/Makefile
--- libpri/Makefile.orig	Tue Jul 26 13:46:58 2005
+++ libpri/Makefile	Tue Jul 26 13:47:58 2005
@@ -104,7 +104,7 @@
 	$(CC) -o testprilib testprilib.o -L. -lpri -lpthread $(CFLAGS)
 
 pridump: pridump.o
-	$(CC) -o pridump pridump.o -L. -lpri -lzap $(CFLAGS)
+	$(CC) -o pridump pridump.o -L. -lpri $(CFLAGS)
 
 ifneq ($(wildcard .depend),)
 include .depend
